scala.tools.nsc.transform.TailCalls.TailCallElimination

# ClonedTailContext

#### class ClonedTailContext extends TailContext

Source
  TailCalls.scala

Linear Supertypes
TailContext, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ClonedTailContext
2. TailContext
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new ClonedTailContext(that: TailContext, tailPos: Boolean)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from ClonedTailContext to any2stringadd[ClonedTailContext] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (ClonedTailContext, B)

   Implicit information
     This member is added by an implicit conversion from ClonedTailContext to ArrowAssoc[ClonedTailContext] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def enclosingType: Global.Type

   Definition Classes
     TailContext

9. #### def ensuring(cond: (ClonedTailContext) ⇒ Boolean, msg: ⇒ Any): ClonedTailContext

   Implicit information
     This member is added by an implicit conversion from ClonedTailContext to Ensuring[ClonedTailContext] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

10. #### def ensuring(cond: (ClonedTailContext) ⇒ Boolean): ClonedTailContext

    Implicit information
      This member is added by an implicit conversion from ClonedTailContext to Ensuring[ClonedTailContext] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: Boolean, msg: ⇒ Any): ClonedTailContext

    Implicit information
      This member is added by an implicit conversion from ClonedTailContext to Ensuring[ClonedTailContext] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: Boolean): ClonedTailContext

    Implicit information
      This member is added by an implicit conversion from ClonedTailContext to Ensuring[ClonedTailContext] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from ClonedTailContext to StringFormat[ClonedTailContext] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

17. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

18. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

19. #### def isEligible: Boolean

    Definition Classes
      TailContext

20. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

21. #### def isMandatory: Boolean

    Definition Classes
      TailContext

22. #### def isTransformed: Boolean

    Definition Classes
      TailContext

23. #### def label: Global.Symbol

    Definition Classes
      ClonedTailContext → TailContext

24. #### def method: Global.Symbol

    Definition Classes
      ClonedTailContext → TailContext

25. #### def methodPos: Global.Position

    Definition Classes
      ClonedTailContext → TailContext

26. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

27. #### def newThis(pos: Global.Position): Global.TermSymbol

    Definition Classes
      TailContext

28. #### final def notify(): Unit

    Definition Classes
      AnyRef

29. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

30. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

31. #### def tailLabels: Set[Global.Symbol]

    Definition Classes
      ClonedTailContext → TailContext

32. #### val tailPos: Boolean

    Definition Classes
      ClonedTailContext → TailContext

33. #### def toString(): String

    Definition Classes
      TailContext → AnyRef → Any

34. #### def tparams: List[Global.Symbol]

    Definition Classes
      ClonedTailContext → TailContext

35. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

36. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

37. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### def →[B](y: B): (ClonedTailContext, B)

    Implicit information
      This member is added by an implicit conversion from ClonedTailContext to ArrowAssoc[ClonedTailContext] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from TailContext

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from ClonedTailContext to any2stringadd[ClonedTailContext]

### Inherited by implicit conversion StringFormat from ClonedTailContext to StringFormat[ClonedTailContext]

### Inherited by implicit conversion Ensuring from ClonedTailContext to Ensuring[ClonedTailContext]

### Inherited by implicit conversion ArrowAssoc from ClonedTailContext to ArrowAssoc[ClonedTailContext]

### Ungrouped